%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    Macros "thmatiques" pour la main droite    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%
%    theme    %
%%%%%%%%%%%%%%%
th = \notes {
    si2 ( re16 do si ) do
    re8. () si16 sol4 r
    sol'4. ( la16 sol fad mi re ) dod
    re8. () si16 sol4 r
    do8. () la16 fad8-. la-. si-. do-.
    re8. () si16 sol'4 r
    la16 ( sol fad sol fad mi red mi re do si ) do
    si8. ( do32 ) si la8 ( re dod ) do
}

%%%%%%%%%%%%%%%%%%%%%%%%
%    theme amplifi    %
%%%%%%%%%%%%%%%%%%%%%%%%
thampl = \notes {
    si4 ( ~ si16 sol si re do la do ) mi
    re8. () si16 sol16-. sol-. la-. si-. do-. re-. mi-. fad-.
    sol ( fad sol fad la sol fad sol fad mi re ) dod
    re ( si re ) si sol4 r
    do16 ( la do ) la fad-. la ( sold la lad si do ) dod
    re ( si re ) si sol'4 r16 si ( fad ) sol
    red ( mi do ) la sol8. sol16 < \context Voice=up {si ( la sol ) la} \context Voice=down {\stemDown fad4} >
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    conclusion du theme amplifi (parce que differente la troisieme fois)    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
finthamplmg = \notes {
    <fad4 la (> ) sol r
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    Macros "thmatiques" pour la main gauche    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%
%    theme    %
%%%%%%%%%%%%%%%
thmg = \notes {
    sol16 re' si re sol, re' si re la re do re
    sol, re' si re sol, re' si re sol, re' si re
    sol, mi' do mi sol, mi' do mi sol, dod lad dod
    sol re' si re sol, re' si re sol, re' si re
    la re do re la re do re la re do re 
    sol, re' si re mi, si' sol si si, sol' re sol
    < \context Voice=up {\stemUp mi4 sol2 sol4 fad} \context Voice=down {\stemDown do2 mi4 re2} > r4
    \stemBoth
}

%%%%%%%%%%%%%%%%%%%%%%%%
%    theme amplifi    %
%%%%%%%%%%%%%%%%%%%%%%%%
thamplmg = \notes {
    sol16 re' si re sol, re' si re la re do re
    sol, re' si re sol, re' si re sol, re' si re
    sol, mi' do mi sol, mi' do mi sol, dod lad dod
    sol re' si re sol, re' si re sol, re' si re
    la re do re la re do re la re do re 
    sol, re' si re mi, si' sol si si, sol' re sol
    do, la' mi la re, si' sol si re, do' la do
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    conclusion du theme amplifi (parce que differente la troisieme fois)    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
finthamplmgmg = \notes {
    < \context Voice=up {\stemUp do4 () si} \context Voice=down {\stemDown sol2} > r4
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    code de la main droite    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
md = \notes \relative do'' {
    \clef "treble"
    \key sol \major
    \time 3/4
    % mesure 1
    \th 
    % mesure 9
    \thampl
    \finthamplmg
    \bar ":|"
    \bar "|:"
    % mesure 17
    re' (~ re16 dod mi re sol fad mi ) re
    dod8. () re16 mi4 r
    mi4 (~ mi16 red fad mi la sol fad ) mi
    re?8. () mi16 fad4 r
    fad (~ fad16 mi sol fad si la sol ) fad
    mi4 (~ mi16 red fad mi la sol fad ) mi
    mi () re? re8 ~ re16 la re fad < \context Voice=up {\stemUp fad mi re mi} \context Voice=down {\stemDown dod4} >
    <dod mi> re16 red mi re fad mi re do
    % mesure 25
    \thampl
    \finthamplmg
    \bar ":|"
    % mesure 33
    sib4 (~ sib16 la do ) sib sib ( la sol ) fad
    sol8. () sib16 re4 r
    re4 (~ re16 do mib ) re re ( do sib ) la
    sib8. () re16 sol4 r
    fa4 (~ fa16 la do sib la sol fa ) mib
    re4 (~ re16 sol sib la sol fa mib ) re
    si? ( do mib ) sol sib,8. sib16 <\context Voice=up {\stemUp re ( do sib ) do} \context Voice=down {\stemDown la4}>
    <la do> sib16 ( la do sib re do mib ) re
    % mesure 41
    fa4 ~ fa16 lab sol fa mib re do si
    do8. () mib16 sol4 r
    sol (~ sol16 fad la? ) sol sib ( dod, sib' ) dod,
    dod4 re r
    mib (~ mib16 do la' fad do' la mib' ) fad,
    re'4 (~ re16 la sib fad sol dod, re ) sib
    sib ( la do ) mib sol,8. sol16 sib ( la sol ) la
    <fad4 la> sol16 ( fad sol sold la sold la ) lad
    % mesure 49
    \th 
    \thampl
    sol16 fad la sol si la do si re do mi re
    fa4. sol16 la sol fa mi re 
    red4 () mi r16 sol ( fad ) mi
    re ( si la ) mi' sol,8. sol16 < \context Voice=up {si ( la sol ) la} \context Voice=down {\stemDown fad4} >
    sol16 fad la sol si la do si re do mi re
    fa4. sol16 la sol fa mi re 
    mi4 fad sol
    sol,4. la32 ( sol fad ) sol < \context Voice=up {si8 la} \context Voice=down {\stemDown fad4} >
    sol16 ( re ) si' si-. si ( sol ) re' re-. re ( si la ) si
    sol16 ( re ) si' si-. si ( sol ) re' re-. re ( si la ) si
    sol8 r <si, sol'> r r4
    \bar "|."
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    code de la main gauche    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

mg = \notes \relative do' {
    \clef "bass"
    \key sol \major
    \time 3/4
    % mesure 1
    \thmg
    % mesure 9
    \thamplmg
    \finthamplmgmg
    \bar ":|"
    \bar "|:"
    % mesure 17
    \clef "treble"
    re16 la' fad la re, la' fad la re, la' fad la
    mi la sol la mi la sol la mi la sol la
    dod, la' sol la dod, la' sol la dod, la' sol la
    re, la' fad la dod, la' re, la' si, la' re, sol
    % mesure 21
    \clef "bass"
    la, fad' re fad sol, mi' dod mi fad, re' la re
    si sol' mi sol la, fad' red fad sol, mi' si mi
    \clef "treble"
    la, fad' re fad la, fad' re fad la, sol' mi sol
    < \context Voice=up {\stemUp sol4 fad} \context Voice=down {\stemDown re2} > r4
    \clef "bass"
    % mesure 25
    \relative do' {
	\thamplmg
	\finthamplmgmg
    }
    \bar ":|"
    sol16 re' sib re sol,16 re' sib re la re do re
    sol,16 re' sib re sol,16 re' sib re sol,16 re' sib re 
    fad, re' la re fad, re' la re re, re' fad, re' 
    sol,16 re' sib re sol,16 re' sib re sol, mib' sib mib
    la, fa' do fa la, fa' do fa la, fa' do fa 
    sib, fa' re fa sol, re' sib re re, sib' fa sib
    mib, do' sol do fa, re' sib re fa, mib' do mib
    < \context Voice=up {\stemUp mib4 re} \context Voice=down {\stemDown sib2} > r4
    % mesure 41
    lab16 fa' do fa sol, re' si? re fa, re' sol, re'
    mib, do' sol do re, si' fa si do, do' mib, do'
    dod, sib' mi, sib' re, sib' sol sib mib, sib' sol sib
    re, sib' sol sib re, la' fad! la re, la' fad la
    do, la' fad la do, la' fad la do, la' fad la 
    sib, sol' re sol sib, sol' re sol sib, sol' re sol
    do, la' mib la re, sib' sol sib re, do' la do
    < \context Voice=up {\stemUp do4 sib} \context Voice=down {\stemDown sol2} > r4
    % mesure 49
    \thmg
    \thamplmg
    <sol4 si> r r 
    \clef "treble"
    la16 fa' do fa la, fa' do fa si, sol' re sol
    do, sol' mi sol do, sol' mi sol do, sol' mi sol
    si, re do mi \clef "bass" re, si' sol si re, do' la do
    <sol4 si> r r
    % mesure 69
    la,16 fa' do fa si, sol' re sol sol, sol' si, sol'
    do, sol' mi sol do, la' mib la dod, sib' mi, sib'
    re, si'? sol si re, si' sol si re, do' la do
    <sol4 si> r r8 <re do'(>
    <sol4 ) si> r r8 <re do'(>
    <sol8 ) si> r sol, r r4
    \bar "|."
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%			Le code !				%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Debut de la partition  proprement parler
\score {
  \context PianoStaff <
  \context Staff = md {
      \md
  }
  \context Staff = mg {
      \mg
  }
> % PianoStaff

    \header { piece = "Andante" }
    \paper { linewidth = 18.0 \cm }
    \midi { \tempo 4 = 60 }
} % score
% EOF
