%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%		Definitions des instruments			%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

gomd = {\translator Staff = md \stemDown}

gomg = {\translator Staff = mg \stemBoth}

md = \notes \relative do'' {
    \clef "treble"
    \time 4/4
    \key do \major
    do2 mi4 sol
    si,4. ( do16 ) re do4 r
    la'2 sol4 do
    sol ( fa8^\trill mi16 ) fa mi4 r
    % mesure 5
    la,8 si16 do re mi fa sol la sol fa mi re do si la
    sol8 la16 si do re mi fa sol fa mi re do si la sol
    fa8 sol16 la si do re mi fa mi re do si la sol fa
    mi8 fa16 sol la si do re mi re do si la sol fa mi
    re8 mi16 fa sol la si dod re la si dod re mi fa sol
    la si do si la sol fa mi fa sol la sol fa mi re do
    % mesure 11
    si8 sol' mi do re sol mi do
    re4 <si re sol> sol r
    R1
    re''8 () si sol4. ( la16 si ) la8 sol-.
    sol8.^\trill () fad16 fad4 r2
    re'8 () si sol4. ( la16 si ) la8 sol-.
    sol8.^\trill () fad16 fad4 r2
    % mesure 18
    re'4 r16 \stemUp re si sol mi4 r16 mi sol mi \stemBoth
    do'4 r16 \stemUp do la fad re4 r16 re fad re \stemBoth
    si'4 r16 \stemUp si sol mi do4 r16 do mi do \stemBoth
    la'4 r16 \stemUp la fad re si4 r16 sol'16 mi do \stemBoth
    % mesure 22
    la2
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace si16 do4 
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace red16 mi4
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace sold16 la4. si32 ( la sold ) la do8 () la do () la
    si () sol re'2 do16 si la sol
    la1^\trill % \grace {[sol16 la]} TODO : continuation above the trill, and graces notes on the right side of the mesure
    sol4 sol16 re sol si re si sol si do la fad la
    sol4 sol,16 re sol si re si sol si do la fad la
    sol4 <re' si'> <si sol'> r
    \bar ":|"

    % dveloppement
    sol4 sol'16 re sol sib re sib sol sib do la fad la 
    sol4 sol,16 re sol sib re sib sol sib do la fad la 
    sol4 r r16 sol' sib la sol fa mi re
    dod4 r r16 dod' mi re dod sib la sol
    % mesure 33
    fa4 re16 la re fa la fa re fa sol mi dod mi
    re4 re,16 la re fa la fa re fa sol mi dod mi
    % mesure 35
    r re mi fa sol la si dod re4 r
    r16 si do! re mi fad sold la si4 r
    r16 la mi' re do si la sol! fa!4 r
    % mesure 38
    r16 sol re' do si la sol fa mi4 r
    r16 fa do' si la sol fa mi re4 r
    r16 mi si' la sold fa! mi re do4 r
    r16 sib re do sib la sol fa mi fa sol la sib do re mi
    % rexpo
    fa2 la4 do
    mi,4. fa16 sol fa4 r
    re'2 do4 fa
    do sib8^\trill ( la16 ) sib la4 r
    % mesure 46
    re,8 mi16 fa sol la sib do re do sib la sol fa mi re
    do8 re16 mi fa sol la sib do sib la sol fa mi re do
    sib8 do16 re mi fa sol la sib la sol fa mi re do sib
    la8 sib16 do re mi fa sol la sol fa mi re do sib la
    % mesure 50
    la'4 r r la
    sol r r sol
    fa r r fa
    mi r r mi
    % mesure 54
    re16 re, mi fa sol la si dod re la si dod re mi fa sol
    la si do si la sol fa mi fa sol la sol fa mi re do
    % mesure 56
    si8 sol' mi do re sol mi do
    re4 <si sol'> sol r
    r1
    sol'8 () mi do4. ( re16 mi ) re8 do-.
    do8.-\trill () si16 si4 r2
    sol'8 () mi do4. ( re16 mi ) re8 do-.
    do8.-\trill () si16 si4 r2
    % mesure 63
    sol'4 r16 sol mi do la4 r16 la do la
    fa'4 r16 fa re si sol4 r16 sol' si sol
    mi'4 r16 mi do la fa4 r16 fa la fa
    re'4 r16 re si sol mi4 r16 do' sol mi
    re2 
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace dod16 () re4 
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace dod16 () re4
    la'2 
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace sold16 () la4 
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    \grace sold16 () la4
    \property Grace.Stem \override #'flag-style = #'() % notes non barres
    sol?8 la16 si do re mi re do si la sol fa mi re do
    re1-\trill % \grace {[do16 re]} TODO : continuation above the trill, and graces notes on the right side of the mesure

    do4 do16 sol do mi sol mi do mi fa re si re
    do4 do,16 sol do mi sol mi do mi fa re si re
    do4 <mi' sol do> do r
    \bar ":|"
}

mg = \notes \relative do' {
    \clef "treble"
    \time 4/4
    \key do \major
    do8 sol' mi sol do, sol' mi sol
    re sol fa sol do, sol' mi sol
    do, la' fa la do, sol' mi sol
    si, sol' re sol do, sol' mi sol
    fa4 r r \clef "bass" <fa, do'>
    <mi do'> r r <mi do'>
    <re do'> r r <re si'>
    <do do'> r r <do mi>
    <fa1 la>
    % mesure 10
    fa4. sol8 la4. fad8
    sol,16 si re sol sol, do mi sol sol, si re sol sol, do mi sol
    sol,4 sol' sol, r
    % mesure 13
    dod'16 re dod re dod re dod re do re do re do re do re
    si re si re si re si re si re si re si re si re
    do re si re la re si re do re si re do re la re
    si re si re si re si re si re si re si re si re
    do re si re la re si re do re si re do re la re
    % mesure 18
    r16 si \gomd re sol si4 r16 do, mi sol do4 \gomg
    r16 la, do \gomd fad la4 r16 si, re fad si4 \gomg
    r16 sol, si \gomd mi sol4 \gomg r16 la, do \gomd mi la4 \gomg
    r16 fad, la \gomd re fad4 \gomg r16 sol, si \gomd re sol4 \gomg
    % mesure 22
    \clef "treble" <do,8 mi> <do mi> <do mi> <do mi> <do mi> <do mi> <do mi> <do mi>
    <do mi> <do mi> <do mi> <do mi> <do mi> <do mi> <do mi> <do mi>
    re16 si' sol si re, si' sol si re, si' sol si re, si' sol si
    re, do' fad, do' re, do' fad, do' re, do' fad, do' re, do' fad, do' 
    <sol4 si> r r <re la' do>
    <sol si>  r r \clef "bass" <re, la' do>
    <sol si> <sol, sol'> <sol sol'> r
    \bar ":|"

    % dveloppement
    <sol sol'> r r \clef "treble" <re'' la' do>
    <sol sib> r r \clef "bass" <re, la' do>
    r16 sol, la sib do re mi fad sol4 r
    r16 la, si! dod re mi fad sold la4 r
    <re, re'> r r \clef "treble" <la' mi' sol>
    <re fa> r r \clef "bass" <la, mi' sol>
    % mesure 35
    <re fa> r r16 re' fa mi re do! si la
    sold4 r r16 sold si la sold fa! mi re
    do4 r \clef "treble" r16 re' la' sol fa mi re do
    si4 r r16 do sol' fa mi re do si
    la4 r4 \clef "bass" r16 si fa' mi re do si la 
    sold4 r r16 la do si la sol fa mi
    re2 <do sol' sib>
    % rexposition
    \clef "treble" fa'8 do' la do fa, do' la do
    sol do sib do fa, do' la do
    fa, re' sib re fa, do' la do
    mi, do' sol do fa, do' la do
    sib4 r r \clef "bass" <sib, fa'>
    <la fa'> r r <la fa'>
    <sol fa'> r r <sol mi'>
    <fa fa'> r r2
    % mesure 50
    fa8 sol16 la sib do re mi fa mi re do sib la sol fa
    mi8 fa16 sol la si! do re mi re do si la sol fa mi
    re8 mi16 fa sol la si do re do si la sol fa mi re
    do8 re16 mi fa sol la si do si la sol fa mi re do
    % mesure 54
    <fa1 la>
    % mesure 56
    fa4. sol8 la4. fad8
    sol,16 si re sol sol, do mi sol sol, si re sol sol, do mi sol
    sol,4 sol' sol, r
    % mesure 58
    \clef "treble"
    fad''16 sol fad sol fad sol fad sol fa sol fa sol fa sol fa sol
    mi sol mi sol mi sol mi sol mi sol mi sol mi sol mi sol
    fa sol mi sol re sol mi sol fa sol mi sol fa sol re sol
    mi sol mi sol mi sol mi sol mi sol mi sol mi sol mi sol
    fa sol mi sol re sol mi sol fa sol mi sol fa sol re sol
    \clef "bass"
    % mesure 63
    r16 mi, sol do mi4 r16 fa, la do fa4
    r16 re, fa si re4 r16 mi, sol si mi4
    \clef "treble"
    r16 do mi sol do4 r16 re, fa la re4
    r16 si, re sol si4 r16 do, mi sol do4
    r8 <fa, la> <fa la> <fa la> <fa la> <fa la> <fa la> <fa la>
    \clef "bass"
    <fad, do' mib> <fad do' mib> <fad do' mib> <fad do' mib> <fad do' mib> <fad do' mib> <fad do' mib> <fad do' mib>
    sol16 mi'! do mi sol, mi' do mi  sol, mi' do mi  sol, mi' do mi 
    sol, fa' re fa sol, fa' re fa sol, fa' re fa sol, fa' re fa
    <do4 mi> r r <sol re' fa>
    <do4 mi> r r <sol, re' fa>
    <do mi> <do do'> <do, do'> r
    \bar ":|"
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%			Le code !				%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Debut de la partition  proprement parler
\score {
  \context PianoStaff <
  \context Staff = md {
      \md
  }
  \context Staff = mg {
      \mg
  }
> % PianoStaff

	\header { piece = "allegro" }
	\paper { linewidth = 18.0 \cm }
    	\midi { \tempo 4 = 140 }
} % score
% EOF
